Get Tool
curl --request GET \
--url https://{appId}.api-{region}.cometchat.io/v3/ai-agents/tools/{name} \
--header 'apikey: <api-key>'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/ai-agents/tools/{name}"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://{appId}.api-{region}.cometchat.io/v3/ai-agents/tools/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "myapp_myTool",
"appId": "my-app-id",
"name": "myTool",
"type": "action",
"displayName": "My Tool",
"executionText": "Running my tool...",
"doNotExecute": false,
"tool": {
"name": "myTool",
"description": "A helpful tool",
"parameters": {
"type": "object",
"properties": {},
"required": []
}
},
"createdAt": "2025-12-01T00:00:00.000Z",
"updatedAt": "2025-12-01T00:00:00.000Z"
}Tools
Get Tool
Retrieves a specific tool by its unique name. Use this endpoint to inspect a tool’s configuration, parameters, and description.
GET
/
ai-agents
/
tools
/
{name}
Get Tool
For the complete error reference, see Error Guide.
Authorizations
API Key (i.e. Rest API Key from the Dashboard).
Path Parameters
Response
200 - application/json
Tool details
Example:
"myapp_myTool"
Example:
"my-app-id"
Example:
"myTool"
Available options:
action, tool Example:
"action"
Example:
"My Tool"
Example:
"Running my tool..."
Example:
false
Show child attributes
Show child attributes
Was this page helpful?
⌘I